%define api		1.0
%define major		0

%define bname		gstreamer%{api}
%define libname		%mklibname gstreamer-plugins-base %{api} %{major}
%define girname		%mklibname gstreamer-plugins-base-gir %{api}
%define develname	%mklibname -d gstreamer-plugins-base %{api}

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-base
Version:	1.14.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz
Patch0:		align.patch
URL:		http://gstreamer.freedesktop.org/
#------------BR--------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cdda-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}visual-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: libtheora-devel
BuildRequires:	fonts-ttf-dejavu
#-----------------------------------------------------
Provides:	%{bname}-plugins

%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of reference plugins, base classes for other
plugins, and helper libraries:
 * device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
 * containers: ogg
 * codecs: vorbis, theora
 * text: textoverlay, subparse
 * sources: audiotestsrc, videotestsrc, gnomevfssrc
 * network: tcp
 * typefind
 * audio processing: audioconvert, adder, audiorate, audioscale, volume
 * visualisation: libvisual
 * video processing: ffmpegcolorspace
 * aggregate elements: decodebin, playbin

%prep
%setup -q -n gst-plugins-base-%{version}
%apply_patches

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --enable-experimental \
  --with-package-name='pclinuxos %{name} package' \
  --with-package-origin='http://pclinuxos.com/' \
  --enable-libvisual
  
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang gst-plugins-base-%{api}

#dont want this
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/%{_datadir}/gtk-doc


%files -f gst-plugins-base-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%{_bindir}/gst-discoverer-%{api}
%{_bindir}/gst-play-%{api}
%{_mandir}/man1/gst-discoverer-%{api}.1.*
%{_mandir}/man1/gst-play-%{api}.1.*


%package -n %{libname}
Group: 		System/Libraries
Summary: 	GStreamer plugin libraries

%description -n %libname
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %{libname}
%defattr(-, root, root)
%{_bindir}/gst-device-monitor-1.0
%{_libdir}/libgstallocators-%{api}.so.%{major}*
%{_libdir}/libgstapp-%{api}.so.%{major}*
%{_libdir}/libgstaudio-%{api}.so.%{major}*
%{_libdir}/libgstfft-%{api}.so.%{major}*
%{_libdir}/libgstpbutils-%{api}.so.%{major}*
%{_libdir}/libgstriff-%{api}.so.%{major}*
%{_libdir}/libgstrtp-%{api}.so.%{major}*
%{_libdir}/libgstrtsp-%{api}.so.%{major}*
%{_libdir}/libgstsdp-%{api}.so.%{major}*
%{_libdir}/libgsttag-%{api}.so.%{major}*
%{_libdir}/libgstvideo-%{api}.so.%{major}*

%{_libdir}/gstreamer-%{api}/libgstapp.so
%{_libdir}/gstreamer-%{api}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{api}/libgstaudiorate.so
%{_libdir}/gstreamer-%{api}/libgstaudioresample.so
%{_libdir}/gstreamer-%{api}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{api}/libgstgio.so
%{_libdir}/gstreamer-%{api}/libgstpango.so
%{_libdir}/gstreamer-%{api}/libgstsubparse.so
%{_libdir}/gstreamer-%{api}/libgsttcp.so
%{_libdir}/gstreamer-%{api}/libgstvolume.so
%{_libdir}/gstreamer-%{api}/libgstadder.so
%{_libdir}/gstreamer-%{api}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{api}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{api}/libgsttheora.so
%{_libdir}/gstreamer-%{api}/libgstogg.so
%{_libdir}/gstreamer-%{api}/libgstvideorate.so
%{_libdir}/gstreamer-%{api}/libgstvideoscale.so
%{_libdir}/gstreamer-%{api}/libgstvorbis.so
%{_libdir}/gstreamer-%{api}/libgstximagesink.so
%{_libdir}/gstreamer-%{api}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{api}/libgstalsa.so
%{_libdir}/gstreamer-%{api}/libgstplayback.so
%{_libdir}/gstreamer-%{api}/libgstvideoconvert.so
%{_libdir}/gstreamer-%{api}/libgstopus.so

%{_libdir}/gstreamer-%{api}/libgstencoding.so
%{_libdir}/gstreamer-%{api}/libgstpbtypes.so
%{_libdir}/gstreamer-%{api}/libgstrawparse.so


%{_libdir}/girepository-1.0/GstAllocators-%{api}.typelib
%{_libdir}/girepository-1.0/GstApp-%{api}.typelib
%{_libdir}/girepository-1.0/GstAudio-%{api}.typelib
#%{_libdir}/girepository-1.0/GstFft-%{api}.typelib
%{_libdir}/girepository-1.0/GstPbutils-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtp-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtsp-%{api}.typelib
%{_libdir}/girepository-1.0/GstSdp-%{api}.typelib
%{_libdir}/girepository-1.0/GstTag-%{api}.typelib
%{_libdir}/girepository-1.0/GstVideo-%{api}.typelib
%{_libdir}/girepository-1.0/GstGL-1.0.typelib
%{_libdir}/gstreamer-1.0/libgstaudiomixer.so
%{_libdir}/gstreamer-1.0/libgstopengl.so
%{_libdir}/libgstgl-1.0.so.*

#plugins
%{_libdir}/gstreamer-%{api}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{api}/libgstlibvisual.so

%package -n %{develname}
Summary: 	GStreamer Plugin Library Headers
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	libgstreamer%{api}-plugins-base-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
GStreamer support libraries header files.

%files -n %{develname}
%defattr(-, root, root)
%doc docs/libs/html docs/plugins/html
%{_includedir}/gstreamer-%{api}/gst/*
%{_libdir}/pkgconfig/gstreamer-allocators-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-app-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-audio-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-fft-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-pbutils-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-riff-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtsp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-sdp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-tag-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-video-%{api}.pc
%{_libdir}/libgstallocators-%{api}.so
%{_libdir}/libgstaudio-%{api}.so
%{_libdir}/libgstapp-%{api}.so
%{_libdir}/libgstfft-%{api}.so
%{_libdir}/libgstpbutils-%{api}.so
%{_libdir}/libgstriff-%{api}.so
%{_libdir}/libgstrtp-%{api}.so
%{_libdir}/libgstrtsp-%{api}.so
%{_libdir}/libgsttag-%{api}.so
%{_libdir}/libgstsdp-%{api}.so
%{_libdir}/libgstvideo-%{api}.so
%{_datadir}/gir-1.0/GstAllocators-%{api}.gir
%{_datadir}/gir-1.0/GstApp-%{api}.gir
%{_datadir}/gir-1.0/GstAudio-%{api}.gir
#%{_datadir}/gir-1.0/GstFft-%{api}.gir
%{_datadir}/gir-1.0/GstPbutils-%{api}.gir
%{_datadir}/gir-1.0/GstRtp-%{api}.gir
%{_datadir}/gir-1.0/GstRtsp-%{api}.gir
%{_datadir}/gir-1.0/GstSdp-%{api}.gir
%{_datadir}/gir-1.0/GstTag-%{api}.gir
%{_datadir}/gir-1.0/GstVideo-%{api}.gir
%{_datadir}/gst-plugins-base/%{api}/license-translations.dict
%{_datadir}/man/man1/gst-device-monitor-1.0.1.bz2
%{_datadir}/gir-1.0/GstGL-1.0.gir
%{_libdir}/pkgconfig/gstreamer-gl-1.0.pc
%{_libdir}/gstreamer-1.0/include/gst/gl/gstglconfig.h
%{_libdir}/libgstgl-1.0.so



%clean
rm -rf %{buildroot}


%changelog
* Wed Nov 28 2018 adrianomorselli <adrianomorselli> 1.14.4-1uplos2018
- update
